Bug 970214 - yum group list does not shown any installed group
yum group list does not shown any installed group
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
21
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: James Antill
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-03 13:39 EDT by Reartes Guillermo
Modified: 2015-12-02 11:04 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-01 21:47:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Reartes Guillermo 2013-06-03 13:39:45 EDT
Description of problem:

Running a 'yum group list' does not shown any installed group.

Version-Release number of selected component (if applicable):
F19b RC4
yum.noarch 3.4.3-91.fc19 

How reproducible:
always

Steps to Reproduce:
1. install fedora
2. install a group
3. run 'yum group list'

Actual results:

# yum group list installed
Loaded plugins: langpacks, refresh-packagekit
Warning: no environments/groups match: installed

Expected results:
# yum group list installed
Loaded plugins: langpacks, refresh-packagekit
Installed environment groups:
   Infrastructure Server
   Minimal Install
Installed groups:
   Administration Tools
   Authoring and Publishing
   Cloud Infrastructure
   Design Suite
   Development Tools
   Editors
   Educational Software
   Electronic Lab
   Network Servers
   Office/Productivity
   Robotics
   Security Lab
   Sound and Video
   System Tools
   Text-based Internet
   Window Managers
Done

Additional info:

The issue disappears if one setups yum.conf setting 'group_command=compat'
and then retries the group list action.
Comment 1 Reartes Guillermo 2013-06-03 13:51:35 EDT
Systems that do not show any group also experience Bug 968840.

Both issues do disappear if one setups yum.conf setting 'group_command=compat'
and then retries the group list/remove action.
Comment 2 Reartes Guillermo 2014-04-15 05:23:49 EDT
In F20 one still needs to set group_command=compat in /etc/yum.conf for the command 'yum group list' to show the installed groups.

Maybe the version should be changed to 20.
Comment 3 Reartes Guillermo 2014-10-11 14:59:32 EDT
Ok, i tested it again with F21 Server bTC3

[root@fnext1 ~]# uname -a
Linux fnext1.espada 3.17.0-301.fc21.x86_64 #1 SMP Wed Oct 8 20:10:50 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

[root@fnext1 ~]# yum grouplist
Complementos cargados:langpacks
No existe un archivo de grupos instalados.
Maybe run: yum groups mark convert (see man yum)
Available environment groups:
   Fedora Cloud Server
   Fedora Server
   Fedora Workstation
   Escritorio GNOME
   Espacios de trabajo KDE Plasma
   Escritorio Xfce
   Escritorio LXDE
   Escritorio Cinnamon
   Escritorio MATE
   Entorno de Escritorio Sugar
   Estaciones de Trabajo y Desarrollo
   Servidor Web
   Infraestructura del Servidor
   Escritorio Básico
   Instalación mínima
Grupos disponibles:                                                                                                                                                     
   Administradores de Ventana                                                                                                                                           
   Aplicaciones Médicas                                                                                                                                                 
   Audio Production                                                                                                                                                     
   Autoría y publicación
   Cloud Management Tools
   Cloud Server Tools
   Container Management
   D Development Tools and Libraries
   Domain Membership
   Editores
   Fedora Eclipse
   FreeIPA Server
   Headless Management
   Herramientas de Administración
   Herramientas de Desarrollo RPM
   Herramientas de desarrollo
   Herramientas del sistema 
   Herramientas y Librerías de Desarrollo C
   Impresión 3D
   Infraestructura de Nube
   Ingeniería y científico
   Internet basada en texto
   Juegos y entretenimiento
   Laboratorio Electrónico
   Laboratorio de Seguridad
   LibreOffice
   Libros y Guías
   MATE Applications
   MATE COMPIZ
   Milkymist
   Oficina y Productividad
   Robótica
   Servidores de red
   Software Educacional
   Sonido y vídeo
   Suite de Diseño
Listo

Now i set group_command=compat in /etc/yum.conf and retest:

[root@fnext1 ~]# yum grouplist    
Complementos cargados:langpacks
Installed environment groups:
   Fedora Server
Available environment groups:
   Fedora Cloud Server
   Fedora Workstation
   Escritorio GNOME
   Espacios de trabajo KDE Plasma
   Escritorio Xfce
   Escritorio LXDE
   Escritorio Cinnamon
   Escritorio MATE
   Entorno de Escritorio Sugar
   Estaciones de Trabajo y Desarrollo
   Servidor Web
   Infraestructura del Servidor
   Escritorio Básico
   Instalación mínima
Installed groups:
   Container Management
   Domain Membership
   Headless Management
   Herramientas de desarrollo
   Herramientas del sistema 
   Internet basada en texto
   Laboratorio de Seguridad
   Servidores de red
Grupos disponibles:
   Administradores de Ventana
   Aplicaciones Médicas
   Audio Production
   Autoría y publicación
   Cloud Management Tools
   Cloud Server Tools
   D Development Tools and Libraries
   Editores
   Fedora Eclipse
   FreeIPA Server
   Herramientas de Administración
   Herramientas de Desarrollo RPM
   Herramientas y Librerías de Desarrollo C
   Impresión 3D
   Infraestructura de Nube
   Ingeniería y científico
   Juegos y entretenimiento
   Laboratorio Electrónico
   LibreOffice
   Libros y Guías
   MATE Applications
   MATE COMPIZ
   Milkymist
   Oficina y Productividad
   Robótica
   Software Educacional
   Sonido y vídeo
   Suite de Diseño
Listo

Please note that it also aplies to RHEL7.0 too.

[root@vm7-rhel7 ~]# uname -a
Linux vm7-rhel7 3.10.0-123.4.2.el7.x86_64 #1 SMP Thu Jun 5 21:43:43 EDT 2014 x86_64 x86_64 x86_64 GNU/Linux
Comment 4 Fedora End Of Life 2015-11-04 10:03:31 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-12-01 21:47:50 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.